# vim: set sw=4 ts=4 et:
# Copyright (c) 2008-2010 oc2pus
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments to packman@links2linux.de

Name:           kdenlive
Version:        0.8.2.1
Release:        1.1
License:        GNU General Public License version 2 or later (GPLv2+)
Provides:       kde4-kdenlive = %{version}
Obsoletes:      kde4-kdenlive < %{version}
Summary:        Non-linear video editing application for KDE
Group:          Productivity/Multimedia/Video/Editors and Convertors
URL:            http://kdenlive.sourceforge.net/
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
# http://prdownloads.sourceforge.net/kdenlive/kdenlive-%{version}.tar.gz
Source:         kdenlive-%{version}.tar.bz2
BuildRequires:  cmake
BuildRequires:  fdupes
BuildRequires:  gamin-devel
BuildRequires:  ladspa
BuildRequires:  libavc1394-devel
BuildRequires:  libdv-devel
BuildRequires:  libffmpeg-devel libamrnb-devel
BuildRequires:  libiec61883-devel
BuildRequires:  libjack-devel jack
BuildRequires:  libkde4-devel
BuildRequires:  libogg-devel
BuildRequires:  libquicktime-devel
BuildRequires:  libsamplerate-devel
BuildRequires:  libsoprano-devel
BuildRequires:  libtheora-devel
BuildRequires:  libvorbis-devel
BuildRequires:  libxml2-devel
BuildRequires:  mDNSResponder-devel
BuildRequires:  mlt-devel >= 0.7.6
BuildRequires:  mlt++-devel
BuildRequires:  phonon-backend-xine
BuildRequires:  qt-devel
BuildRequires:  SDL-devel
BuildRequires:  sox-devel
BuildRequires:  libqjson-devel
BuildRequires:  libkde4-devel
BuildRequires:  update-desktop-files
Requires:       mlt
Requires:       dvdauthor
Requires:       dvgrab >= 2.0
Requires:       jack
%kde4_runtime_requires
Requires:       ladspa
Requires:       ladspa-swh-plugins
Requires:       sox
BuildRequires:  dvdauthor
BuildRequires:  dvgrab >= 2.0
BuildRequires:  jack
BuildRequires:  ladspa-swh-plugins
BuildRequires:  sox
BuildRequires:  mlt

%description
Kdenlive is a non-linear vdeo editor for KDE. It relies on a
separate renderer, piave, to handle it's rendering. Kdenlive
supports multitrack editing.

%lang_package

%prep
%setup -q -n kdenlive-%{version}

%build
%__install -dm 755 build

pushd build
%cmake_kde4 ..
%__make %{?jobs:-j%{jobs}} VERBOSE=1
popd

%install
pushd build
%makeinstall VERBOSE=1
popd

%suse_update_desktop_file -n kdenlive AudioVideo AudioVideoEditing

%find_lang kdenlive

%fdupes -s %{buildroot}

%kde_post_install

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING README
%doc %{_mandir}/man1/kdenlive.1%{ext_man}
%doc %{_mandir}/man1/kdenlive_render.1%{ext_man}
%{_bindir}/kdenlive
%{_bindir}/kdenlive_render
%{_libdir}/kde4/libkdenlive_sampleplugin.so
%{_libdir}/kde4/westleypreview.so
%{_datadir}/kde4/apps/kdenlive
%{_datadir}/kde4/config/kdenlive_projectprofiles.knsrc
%{_datadir}/kde4/config/kdenlive_renderprofiles.knsrc
%{_datadir}/kde4/config/kdenlive_wipes.knsrc
%{_datadir}/kde4/config/kdenlive_titles.knsrc
%{_datadir}/kde4/config/kdenlivetranscodingrc
%{_datadir}/kde4/config/kdenliveeffectscategory.rc
%{_datadir}/kde4/config.kcfg/kdenlivesettings.kcfg
%{_datadir}/kde4/services/westleypreview.desktop
%{_datadir}/applications/kde4/kdenlive.desktop
%{_datadir}/mime/packages/kdenlive.xml
%{_datadir}/mime/packages/westley.xml
%dir %{_datadir}/menu
%{_datadir}/menu/kdenlive
%{_datadir}/pixmaps/kdenlive.xpm
%{_datadir}/icons/*/*/apps/kdenlive.*
%{_datadir}/icons/*/*/mimetypes/application-x-kdenlivetitle.*
%{_datadir}/icons/*/*/mimetypes/application-x-kdenlive.*
%{_datadir}/icons/*/*/mimetypes/video-mlt-playlist.*

%files lang -f kdenlive.lang

%changelog
* Sun Dec 11 2011 pascal.bleser@opensuse.org
- update to 0.8.2.1:
  * solves several startup crashes and other important problems in 0.8.2
* Fri Nov 18 2011 reddwarf@opensuse.org
- Stop using the deprecated licenses package.
- Remove unneeded ldconfig calls in scriplets
* Wed Nov  2 2011 pascal.bleser@opensuse.org
- update to 0.8.2:
  * Load zone thumbnails from disk if available
  * Optimise document loading
  * In case of missing or invalid clips, open only one dialog box instead of
    one for each clip
  * Display proxy creation progress in project tree
  * Improve way of picking an average color of an area
  * Make audio bitrate in render dialog selectable
  * Add support for handling different versions of filters and add rules to convert between them
  * Move all cached data in one operation, so that user does not get one dialog
    box for each file in case of duplicates
    (http://kdenlive.org/mantis/view.php?id=2297)
  * Show filter version in filter info box
  * When multiple clips are selected do not allow resizing, but moving only
    (http://kdenlive.org/mantis/view.php?id=2257)
  * Add remux with MKV transcode preset
  * Make audio only render profiles faster by telling ffmpeg to skip video
  * Open documents using a locale different to the system as read only
  * Replace locale-dependent comma with slash in geometry value
  * Add Kdenlive manual converted from UserBase QuickStart page
  * Improve handling of missing luma files
    (http://kdenlive.org/mantis/view.php?id=2216)
  * Remove the "avformat-novalidate" trick for faster loading, caused crash
    (http://kdenlive.org/mantis/view.php?id=2205)
  * Allow to assign a shortcut to usage of proxies in project
  * Use separate thread for generation of timeline thumbnails when zoom is at
    frame level to keep UI responsive
  * Allow to use JScript in render profile parameter values. Values that need
    evalutation need to be indicated by '%%'
  * Check for missing proxies on document opening
  * Check document for invalid (overlapping) transitions
  * Check for duration mismatch in clip producers when opening a document (can
    cause corruption)
  * Automatically create backups of the project file; they can be restored in a
    recovery dialog
  * Allow to manually edit video4linux capture profile
  * Allow to store presets for proxy creation parameters
  * Enable proxies for playlist clips (*.mlt, *.kdenlive)
  * Directly encode capture from Decklink card to make it usable in Kdenlive
  * Allow to use bitrate different from presets in render dialog
  * Whole projects (including all necessary files) can be archieved into a
    directory or file
  * Allow use of different ffmpeg preset for 1st and 2nd render pass
  * Notes widget: context menu now allows to insert clickable timecode to make
    easy reference to some place in the project
  * Fix encoding of dvd vob menu file
  * Fix possible crash when doing fast start/stop
  * Fix multiple concurrency crashes related to thumbnail and proxy creation
  * Fix name of dvgrab captured file
    (http://kdenlive.org/mantis/view.php?id=2344)
  * Fix issues with simultaneous 2-pass rendering (x264)
    (http://kdenlive.org/mantis/view.php?id=2338)
  * Fix rendering progress not shown if multiple copies of Kdenlive are open
    (http://kdenlive.org/mantis/view.php?id=1265)
  * Fix DVD chapters discarded when opening from render dialog
    (http://kdenlive.org/mantis/view.php?id=2335)
  * Fix possible corruption caused by vertical offset of transitions in
    timeline
  * Fix aspect ratio of thumbnails to correctly use the project's arpect ratio
  * Fix bitrate broken when editing render profile or making it a favorite
    (http://kdenlive.org/mantis/view.php?id=2321)
  * Fix audio issues in rendered file when using a recent ffmpeg version by
    replacing 'b' with 'vb' (ffmpeg bitrate parameter)
    (http://kdenlive.org/mantis/view.php?id=2318)
  * Fix rendering to Flash could be broken by setting the number of encoder
    threads. (http://kdenlive.org/mantis/view.php?id=2312)
  * Fix DVD wizard losing chapters data when switching to menu page
  * Fix previewing of affine transitions with transparent png
  * Fix timeline corruption when using 'Remove space' tool (transitions could
    overlap)
  * Fix 'adjust to original size' and 'fit to width/height' for title and color
    clips in geometry widget (pan and zoom, composite, affine)
  * Fix vorbis rendering by setting the audio quality (aq)
  * Rotoscoping: do not allow to add keyframes until initial spline is created
    to avoid corruptions
  * Fix possible crash in DVD wizard chapters
    (http://kdenlive.org/mantis/view.php?id=2264)
  * Do not duplicate effect stack after split audio but move audio effects only
  * Fix issues related to the usage of comma as numeric separator in some
    locales
  * Fix cursor not visible in title widget
    (http://kdenlive.org/mantis/view.php?id=2231)
  * Fix aspect ratio in title widget background image
    (http://kdenlive.org/mantis/view.php?id=2225)
  * Fix layout in save profile dialog
    (http://kdenlive.org/mantis/view.php?id=2224)
  * Fix timeline corruption because resizing a clip end could overlap another
    clip in some cases
  * Fix last keyframe for composite transition (and other geometry effects)
    inserted one frame after the end of the transition
  * Prevent crash when deleting a clip while playing
    (http://kdenlive.org/mantis/view.php?id=2200)
  * Disable save action if we are in the same state as last save
  * Fix pan and zoom keyframes lost after clip resize
    (http://kdenlive.org/mantis/view.php?id=2210)
  * Fix mouse wheel in slider section of (effect) parameters with a large range
    (> 1000)
  * Fix GUI setup issues with some list parameters (for effects)
  * Fix timecode widget not communicating changes upon focus leave
  * Fix list of effects in effect stack taking up to much space by default
  * Fix transition track not correctly saved
    (http://kdenlive.org/mantis/view.php?id=2187)
  * Fix "save zone" saving proxy instead of real clip
    (http://kdenlive.org/mantis/view.php?id=2184)
  * Fix freeze when saving while timeline is at maximum zoom
    (http://kdenlive.org/mantis/view.php?id=2174)
  * Fix crash when deleting a track and having an audio clip on last track
    (http://kdenlive.org/mantis/view.php?id=2168)
  * Do not allow to create overlapping transitions that could corrupt timeline
    (http://kdenlive.org/mantis/view.php?id=1901)
  * Fix sometimes effects were missing
    (http://kdenlive.org/mantis/view.php?id=2152)
  * Fix crash in histogram scope
  * Fix multiple possible timeline corruptions
    (http://kdenlive.org/mantis/view.php?id=2157)
  * Do not allow rendering to a frame rate different than current project's
    profile. (http://kdenlive.org/mantis/view.php?id=2138)
  * Fix DVD menu entries hidden under some circumstances
  * Fix channels in audio thumbnails being displaced by one frame
    (http://kdenlive.org/mantis/view.php?id=1976)
  * Fix possible crash caused by audio thumbnails
    (http://kdenlive.org/mantis/view.php?id=2147)
  * Fix possible freeze and error on project opening
    (http://kdenlive.org/mantis/view.php?id=2144)
  * Fix progress bar running twice on 2pass render
  * Fix proxy file path issue on system installation
  * Use luma as default channel for levels effect
  * Fix handling of proxies when duration != duration of original clip
  * Fix filename encoding problem in renderer
    (http://kdenlive.org/mantis/view.php?id=2110)
* Wed Sep 29 2010 pascal.bleser@opensuse.org
- update to 0.7.8
* Fri Mar  5 2010 toni@links2linux.de
- update to 0.7.7.1
- fix bug in composite transition seek to position feature:
  http://www.kdenlive.org/mantis/view.php?id=1452
- fix transition corruption with non english locales:
  http://www.kdenlive.org/mantis/view.php?id=1450
* Wed Feb 17 2010 toni@links2linux.de
- update to 0.7.7
  * Improved keyboard navigation
  * Timeline editing mode (normal, overwrite)
  * Fix compatibility issue with Qt 4.6
  * Allow shutdown after render when using Gnome Session manager
  * Improved titler (now supports font outline)
  * Editing properties for several clips at once (for example aspect ratio)
* Fri Oct  9 2009 pascal.bleser@opensuse.org
- update to 0.7.6:
  * many crash and timeline corruption issues have been fixed
* Fri Oct  2 2009 Manfred.Tremmel@iiv.de
- update to 0.7.5
* Mon Jun  1 2009 toni@links2linux.de
- update to 0.7.4
* Thu May 21 2009 toni@links2linux.de
- rebuild with mlt/mlt++-0.3.8 (mlt-0.4.0 seems to break kdenlive)
* Mon May 18 2009 toni@links2linux.de
- rebuild with mlt/mlt++-0.4.0
* Wed Apr 15 2009 toni@links2linux.de
- update to 0.7.3
- added lang-sub-package
* Tue Feb  3 2009 toni@links2linux.de
- rebuild with mlt/mlt++-0.3.6
* Mon Feb  2 2009 toni@links2linux.de
- update to 0.7.2.1
* Sun Feb  1 2009 toni@links2linux.de
- update to 0.7.2
* Mon Dec 29 2008 toni@links2linux.de
- update to 0.7.1
* Fri Nov 14 2008 toni@links2linux.de
- update to 0.7
* Wed Nov 12 2008 toni@links2linux.de
- update to 0.7beta1
* Fri Oct 31 2008 toni@links2linux.de
- update to r2603
* Tue Sep 23 2008 toni@links2linux.de
- update to r2404
* Fri Aug  8 2008 toni@links2linux.de
- update to r2364
* Wed Jul  9 2008 toni@links2linux.de
- initial build for kde4 0.6.0 r2302
